Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.ats.tsmx.logging
Class tsmxFacilityCode

    java.lang.Object
      com.arjuna.common.util.logging.FacilityCode
          com.arjuna.ats.tsmx.logging.tsmxFacilityCode

public class tsmxFacilityCode
extends com.arjuna.common.util.logging.FacilityCode

The various levels of facility codes that are available. Typically one for each major component in the system.

- FAC_ATOMIC_ACTION = 0x0000001 (atomic action core module).
- FAC_BUFFER_MAN = 0x00000004 (state management (buffer) classes).
- FAC_ABSTRACT_REC = 0x00000008 (abstract records).
- FAC_OBJECT_STORE = 0x00000010 (object store implementations).
- FAC_STATE_MAN = 0x00000020 (state management and StateManager).
- FAC_SHMEM = 0x00000040 (shared memory implementation classes).
- FAC_GENERAL = 0x00000080 (general classes).
- FAC_CRASH_RECOVERY = 0x00000800 (detailed trace of crash recovery module and classes).
- FAC_THREADING = 0x00002000 (threading classes).
- FAC_JDBC = 0x00008000 (JDBC 1.0 and 2.0 support).
- FAC_RECOVERY_NORMAL = 0x00040000 (normal output for crash recovery manager).

Field Summary
`static long` | `FAC_TS_MX`

Fields inherited from class com.arjuna.common.util.logging.FacilityCode
`FAC_ALL, FAC_NONE`

Constructor Summary
`tsmxFacilityCode()`

Method Summary
`long` | `getLevel(java.lang.String level)`
`java.lang.String` | `printString(long level)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FAC_TS_MX

    public static final long FAC_TS_MX

See Also:
  Constant Field Values

Constructor Detail

### tsmxFacilityCode

    public tsmxFacilityCode()

Method Detail

### getLevel

    public long getLevel(java.lang.String level)

### printString

    public java.lang.String printString(long level)

  Returns:
    the string representation of the facility level. Note, this string is intended only for debugging purposes, and cannot be fed back into the debug system to obtain the facility level that it represents.
  Since:
    JTS 2.1.2.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD